<div id="tests-container">
  <div class="container-title"><span class="title">Actifs</span></div>
  <div id="derniersBugsRepertories" class="d-flex flex-column pt-1 pb-1 ps-2 pe-2 ">
    <div class="accordion accordion-flush" id="accordionFlushExample-testplan" *ngIf="projetFull">
      <div class="accordion-item "
           *ngFor="let testplan of projetFull.testPlans; index as index "
           id="{{ testplan.id }}">
        <h2 class="accordion-header" id="flush-heading-testplan{{ testplan.id }}" *ngIf="testplan.groupeFonctionnalites?.length != 0 && get_testplan_fonctionnalites_obsoletes(testplan)?.length != 0">
          <button class="accordion-button collapsed p-0"
                  type="button" data-bs-toggle="collapse"
                  [attr.data-bs-target]="'#flush-collapse-testplan' +
                testplan.id " aria-expanded="false"
                  [attr.aria-controls]="'flush-collapse-testplan' +
                testplan.id ">
            <div class="d-flex flex-column">
              <div id="container-title" class="d-flex flex-row align-items-center">
                <i class="button-icon fa-solid fa-list-check pe-1"></i>
                <span class="title">{{testplan.nom}}</span>
              </div>
              <div class="d-flex flex-row">
                <span class="total-resolved d-flex align-items-center mb-2">
                  <input type="checkbox" class="resolvedCheck me-1" value="" disabled="disabled" checked="checked"/>
                  <span class="resolvedCheck-count"
                        *ngIf="getTestplanDerniersTests(testplan) && getTestplanDerniersTestsEffectues(testplan)" >
                    {{ getTestplanDerniersTestsEffectues(testplan).length }}/{{ getTestplanDerniersTests(testplan).length }}
                  </span>
                </span>
                <span class="total-resolved d-flex align-items-center mb-2">
                  <i class="fa-solid fa-circle-xmark sm grid-checkbox-2nd invalide ms-2 me-1" ></i>
                  <span class="resolvedCheck-count"
                        *ngIf="getTestplanDerniersTests(testplan) && getTestplanTestsInvalides(testplan)" >
                    {{ getTestplanTestsInvalides(testplan).length }}/{{ getTestplanDerniersTests(testplan).length }}
                  </span>
                </span>
              </div>
            </div>
          </button>
        </h2>
        <div id="flush-collapse-testplan{{ testplan.id }}" class="accordion-collapse collapse"
             [attr.aria-labelledby]="'flush-heading-testplan' +
           testplan.id "
             data-bs-parent="#accordionFlushExample-testplan">
          <div class="accordion-body" *ngIf="testplan">
            <div class="accordion accordion-flush "
                 id="accordionFlushExample-testplan-in"
                 *ngFor="let groupe of testplan.groupeFonctionnalites;index as index">
              <div class="accordion-item groupe"
                   id="{{ testplan.id }}" *ngIf="!groupe.draft && groupe.fonctionnalites?.length != 0">
                <h2 class="accordion-header" id="flush-heading-testplan-in{{ testplan.id }}">
                  <button class="accordion-button collapsed d-flex flex-row justify-content-between align-items-center"
                          type="button" data-bs-toggle="collapse"
                          [attr.data-bs-target]="'#flush-collapse-testplan-in' +
                testplan.id + groupe.id" aria-expanded="false"
                          [attr.aria-controls]="'flush-collapse-testplan-in' +
                testplan.id + groupe.id ">

                    <div class="d-flex flex-row align-items-center">
                      <i class="button-icon fa-solid fa-diagram-project pe-1 "></i>
                      <span>{{ groupe.nom }}</span>
                    </div>
                  </button>
                </h2>
                <div id="flush-collapse-testplan-in{{ testplan.id }}{{groupe.id}}"
                     class="accordion-collapse collapse"
                     [attr.aria-labelledby]="'flush-heading-testplan-in' + testplan.id + groupe.id "
                     data-bs-parent="#accordionFlushExample-testplan-in">
                  <div class="accordion-body groupe" >
                    <div class="d-flex flex-row align-items-center">
                      <div class="d-flex flex-column p-3  w-100" >
                        <span *ngFor="let test of groupe.fonctionnalites"
                              class="intitule-bug mb-1 d-flex flex-row align-items-center justify-content-between">
                          <div *ngIf="verifyObsolete(test) && !bugSignaled">
                            <svg class="testIcon me-2" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 122.43 122.88"><defs><style>.cls-1{fill-rule:evenodd;}</style></defs><title>chemical-engineering</title><path class="cls-1" d="M27.87,36a4,4,0,0,1-.27.44c-.45.73-.9,1.46-1.35,2.31s-.9,1.74-1.29,2.53S24.17,43,23.83,43.9s-.62,1.69-1,2.76a3.62,3.62,0,0,1-3.44,2.48H9.69a2.16,2.16,0,0,0-.9.17,1.85,1.85,0,0,0-.68.51,2.65,2.65,0,0,0-.5.67,2.07,2.07,0,0,0-.17.9V63.67a3.31,3.31,0,0,0,.11.85,3,3,0,0,0,.56.79,1.68,1.68,0,0,0,.68.45,2.16,2.16,0,0,0,.9.17h9a3.68,3.68,0,0,1,3.6,3c.23,1,.45,1.86.68,2.65s.56,1.75.9,2.65A25.13,25.13,0,0,0,25,76.8c.39.9.84,1.69,1.24,2.48a3.58,3.58,0,0,1-.63,4.28l-7,7c-.06.06-.06.06-.11.06a2.48,2.48,0,0,0-.51.67,1.72,1.72,0,0,0-.11.79A1.82,1.82,0,0,0,18,93a2.36,2.36,0,0,0,.56.79l8.62,8.56a2.27,2.27,0,0,0,.79.56,1.87,1.87,0,0,0,.84.17,2,2,0,0,0,.85-.17,3.07,3.07,0,0,0,.73-.5h.06L36.84,96a3.6,3.6,0,0,1,4.62-.4c.73.46,1.47.91,2.31,1.36s1.75.9,2.54,1.29,1.74.79,2.64,1.13,1.69.62,2.76,1a3.61,3.61,0,0,1,2.48,3.43v9.75a2.16,2.16,0,0,0,.17.9,4.43,4.43,0,0,0,.45.68,1.68,1.68,0,0,0,.68.45,2.16,2.16,0,0,0,.9.17H66a2.16,2.16,0,0,0,.9-.17,1.68,1.68,0,0,0,.68-.45,4.43,4.43,0,0,0,.45-.68,2.16,2.16,0,0,0,.17-.9v-9.75a3.61,3.61,0,0,1,2.48-3.43c1.07-.34,2-.68,2.76-1s1.8-.73,2.65-1.13L78.66,97c.85-.45,1.58-.9,2.31-1.36a3.6,3.6,0,0,1,4.62.4L92,102.38H92a3.07,3.07,0,0,0,.73.5,2,2,0,0,0,.85.17,1.87,1.87,0,0,0,.84-.17,2.18,2.18,0,0,0,.79-.56l8.62-8.56a2.56,2.56,0,0,0,.57-.79,2,2,0,0,0,.16-.85,1.72,1.72,0,0,0-.11-.79,2.48,2.48,0,0,0-.51-.67s0,0-.11-.06l-7-7a3.57,3.57,0,0,1-.62-4.28c.39-.79.84-1.58,1.24-2.48a27.38,27.38,0,0,0,1.12-2.59c.34-.9.62-1.75.9-2.65s.45-1.69.68-2.65a3.68,3.68,0,0,1,3.6-3h9a2.16,2.16,0,0,0,.9-.17,1.68,1.68,0,0,0,.68-.45,3,3,0,0,0,.56-.79,3.27,3.27,0,0,0,.12-.85V51.39a2.22,2.22,0,0,0-.17-.9,3,3,0,0,0-.51-.67,1.85,1.85,0,0,0-.68-.51,2.16,2.16,0,0,0-.9-.17H103a3.63,3.63,0,0,1-3.44-2.48c-.34-1.07-.68-2-1-2.76s-.73-1.8-1.12-2.65-.85-1.63-1.3-2.53-.9-1.58-1.35-2.31a4,4,0,0,1-.27-.44h8.52c.37.72.72,1.49,1.1,2.3.45,1,.9,2,1.29,3,.06.17.17.4.23.56h7.21a9.8,9.8,0,0,1,3.66.68,9.35,9.35,0,0,1,3.1,2.08,9,9,0,0,1,2.08,3.1,9.91,9.91,0,0,1,.68,3.66V63.68a9.84,9.84,0,0,1-.73,3.6,9,9,0,0,1-2,3l-.06.06a9.11,9.11,0,0,1-3,2.08,8.78,8.78,0,0,1-3.66.74h-6.14a1.54,1.54,0,0,1-.11.46c-.34,1.07-.68,2.14-1.07,3.15s-.85,2.08-1.3,3a3.8,3.8,0,0,0-.22.45l5.07,5.13a8.71,8.71,0,0,1,2.14,3,9.92,9.92,0,0,1,.73,3.67,9.2,9.2,0,0,1-.73,3.66,10.25,10.25,0,0,1-2.09,3h0l-8.62,8.56a9.8,9.8,0,0,1-3.1,2.09,9.17,9.17,0,0,1-3.66.73,9.34,9.34,0,0,1-3.66-.73,8.81,8.81,0,0,1-3.1-2.09L82.6,103l-.33.17c-.91.51-1.92,1-3,1.47s-2,.9-3,1.29l-.57.23v7.21A9.84,9.84,0,0,1,75,117a9.23,9.23,0,0,1-2.09,3.1,10,10,0,0,1-3.09,2.08,10.13,10.13,0,0,1-3.67.68H56.28a10,10,0,0,1-3.66-.68,9.89,9.89,0,0,1-3.1-2.08,9.38,9.38,0,0,1-2.09-3.1,9.84,9.84,0,0,1-.67-3.66v-7.21l-.57-.23c-1-.39-2-.84-3-1.29s-2.08-1-3-1.47l-.34-.17-4.4,4.34a8.86,8.86,0,0,1-3.09,2.09,9.42,9.42,0,0,1-3.67.73,9.2,9.2,0,0,1-3.66-.73,9.91,9.91,0,0,1-3.1-2.09l-8.62-8.56h0a10.25,10.25,0,0,1-2.09-3,9.2,9.2,0,0,1-.73-3.66,9.92,9.92,0,0,1,.73-3.67,8.71,8.71,0,0,1,2.14-3l5.07-5.13a2.36,2.36,0,0,0-.22-.45c-.45-1-.85-2-1.3-3s-.73-2.08-1.07-3.15a1.54,1.54,0,0,1-.11-.46H9.52a8.78,8.78,0,0,1-3.66-.74,9.11,9.11,0,0,1-3-2.08l-.06-.06a9,9,0,0,1-2-3A9.86,9.86,0,0,1,0,63.67V51.39a10.11,10.11,0,0,1,.68-3.66,9,9,0,0,1,2.08-3.1,9.35,9.35,0,0,1,3.1-2.08,9.84,9.84,0,0,1,3.66-.68h7.21c.06-.16.17-.39.23-.56.39-1,.84-2,1.29-3,.38-.81.73-1.58,1.1-2.3ZM56.56,53.44c8,3.86,9,2.6,10.77.44a16.75,16.75,0,0,1,7.48-5.78,27.19,27.19,0,0,1,6.36-1.64h0c1.31-.18,2.61-.29,3.91-.34a24,24,0,0,0-2.1-3.7,23.67,23.67,0,0,0-11-9.06,1.84,1.84,0,0,1-1.3-1.76V14.21a1.83,1.83,0,0,1,1.83-1.83H74.9a1,1,0,0,0,.62-.22l.06-.06a1,1,0,0,0,.29-.68V5.25a1,1,0,0,0-.28-.68h0a1,1,0,0,0-.68-.27H51.22a1,1,0,0,0-.68.27h0a.92.92,0,0,0-.28.68v6.16a.94.94,0,0,0,.29.68h0a1,1,0,0,0,.68.27h1.83a1.83,1.83,0,0,1,1.83,1.83V31.42h0a1.82,1.82,0,0,1-1.2,1.71,23.81,23.81,0,0,0-11.42,9.09,24.54,24.54,0,0,0-4.31,11.42c5.16-1.17,14-2.42,18.62-.2ZM84.38,54.5a3.19,3.19,0,0,0-4.5,0A3.19,3.19,0,0,0,79,56.75a3.18,3.18,0,1,0,6.36,0,3.21,3.21,0,0,0-.94-2.25Zm-38,7.61a3.76,3.76,0,1,1-3.76,3.76,3.76,3.76,0,0,1,3.76-3.76Zm14.8,9.1a5,5,0,0,1,3.54,1.47,5,5,0,0,1,0,7.08,5,5,0,0,1-3.54,1.47,5,5,0,0,1-3.55-8.55,5,5,0,0,1,3.55-1.47Zm15-5a3.93,3.93,0,1,1-2.79,1.15,3.94,3.94,0,0,1,2.79-1.15ZM51,0H75.3a4.94,4.94,0,0,1,3.47,1.44h0a4.93,4.93,0,0,1,1.43,3.46v7.45a4.92,4.92,0,0,1-1.44,3.48l-.14.12a4.9,4.9,0,0,1-3.34,1.32h-.56v13A30.48,30.48,0,0,1,87.57,41,30.23,30.23,0,1,1,51,30.11V17.29h0a4.91,4.91,0,0,1-3.48-1.45h0a4.92,4.92,0,0,1-1.44-3.48V4.92a4.92,4.92,0,0,1,1.44-3.47h0A4.92,4.92,0,0,1,51,0Z"/></svg>
                            <span class="me-3"
                                  style="cursor: pointer;" (click)="openVerticallyCentered(testDetailsModal, test)">{{ test?.nom }}</span>
                          </div>
                          <div class="d-flex flex-row" *ngIf="verifyObsolete(test) && !bugSignaled">
                            <span *ngIf="test.priorite && test.priorite == 1"
                                  class="priorite status d-flex align-items-center bg-danger">urgent</span>
                            <span *ngIf="test.priorite && test.priorite == 2"
                                  class="priorite status d-flex align-items-center bg-warning">important</span>
                            <span *ngIf="test.priorite && test.priorite == 3"
                                  class="priorite status d-flex align-items-center bg-success">standard</span>
                            <span *ngIf="test.priorite && test.priorite == 4"
                                  class="priorite status d-flex align-items-center bg-info">optionnel</span>
                            <span *ngIf="!test.priorite"
                                  class="priorite status d-flex align-items-center">indéterminée</span>
                            <i *ngIf="verifyObsolete(test) && !bugSignaled" class="fa-solid fa-play ms-3"
                               (click)="openVerticallyCentered(mymodal, test)">
                            </i>
                             <div *ngIf="!verifyObsolete(test) && !bugSignaled" class="me-45"></div>
                          </div>
                        </span>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-body-bottom "></div>
                </div>
              </div>
            </div>
          </div>
          <!--<div class="accordion-body-bottom "></div>-->
        </div>
      </div>
    </div>
  </div>
</div>
<!-- popup -->
<ng-template #mymodal let-modal>
  <div class="modal-header pb-0 d-flex align-items-center">
    <svg class="testIcon me-2" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 122.43 122.88"><defs><style>.cls-1{fill-rule:evenodd;}</style></defs><title>chemical-engineering</title><path class="cls-1" d="M27.87,36a4,4,0,0,1-.27.44c-.45.73-.9,1.46-1.35,2.31s-.9,1.74-1.29,2.53S24.17,43,23.83,43.9s-.62,1.69-1,2.76a3.62,3.62,0,0,1-3.44,2.48H9.69a2.16,2.16,0,0,0-.9.17,1.85,1.85,0,0,0-.68.51,2.65,2.65,0,0,0-.5.67,2.07,2.07,0,0,0-.17.9V63.67a3.31,3.31,0,0,0,.11.85,3,3,0,0,0,.56.79,1.68,1.68,0,0,0,.68.45,2.16,2.16,0,0,0,.9.17h9a3.68,3.68,0,0,1,3.6,3c.23,1,.45,1.86.68,2.65s.56,1.75.9,2.65A25.13,25.13,0,0,0,25,76.8c.39.9.84,1.69,1.24,2.48a3.58,3.58,0,0,1-.63,4.28l-7,7c-.06.06-.06.06-.11.06a2.48,2.48,0,0,0-.51.67,1.72,1.72,0,0,0-.11.79A1.82,1.82,0,0,0,18,93a2.36,2.36,0,0,0,.56.79l8.62,8.56a2.27,2.27,0,0,0,.79.56,1.87,1.87,0,0,0,.84.17,2,2,0,0,0,.85-.17,3.07,3.07,0,0,0,.73-.5h.06L36.84,96a3.6,3.6,0,0,1,4.62-.4c.73.46,1.47.91,2.31,1.36s1.75.9,2.54,1.29,1.74.79,2.64,1.13,1.69.62,2.76,1a3.61,3.61,0,0,1,2.48,3.43v9.75a2.16,2.16,0,0,0,.17.9,4.43,4.43,0,0,0,.45.68,1.68,1.68,0,0,0,.68.45,2.16,2.16,0,0,0,.9.17H66a2.16,2.16,0,0,0,.9-.17,1.68,1.68,0,0,0,.68-.45,4.43,4.43,0,0,0,.45-.68,2.16,2.16,0,0,0,.17-.9v-9.75a3.61,3.61,0,0,1,2.48-3.43c1.07-.34,2-.68,2.76-1s1.8-.73,2.65-1.13L78.66,97c.85-.45,1.58-.9,2.31-1.36a3.6,3.6,0,0,1,4.62.4L92,102.38H92a3.07,3.07,0,0,0,.73.5,2,2,0,0,0,.85.17,1.87,1.87,0,0,0,.84-.17,2.18,2.18,0,0,0,.79-.56l8.62-8.56a2.56,2.56,0,0,0,.57-.79,2,2,0,0,0,.16-.85,1.72,1.72,0,0,0-.11-.79,2.48,2.48,0,0,0-.51-.67s0,0-.11-.06l-7-7a3.57,3.57,0,0,1-.62-4.28c.39-.79.84-1.58,1.24-2.48a27.38,27.38,0,0,0,1.12-2.59c.34-.9.62-1.75.9-2.65s.45-1.69.68-2.65a3.68,3.68,0,0,1,3.6-3h9a2.16,2.16,0,0,0,.9-.17,1.68,1.68,0,0,0,.68-.45,3,3,0,0,0,.56-.79,3.27,3.27,0,0,0,.12-.85V51.39a2.22,2.22,0,0,0-.17-.9,3,3,0,0,0-.51-.67,1.85,1.85,0,0,0-.68-.51,2.16,2.16,0,0,0-.9-.17H103a3.63,3.63,0,0,1-3.44-2.48c-.34-1.07-.68-2-1-2.76s-.73-1.8-1.12-2.65-.85-1.63-1.3-2.53-.9-1.58-1.35-2.31a4,4,0,0,1-.27-.44h8.52c.37.72.72,1.49,1.1,2.3.45,1,.9,2,1.29,3,.06.17.17.4.23.56h7.21a9.8,9.8,0,0,1,3.66.68,9.35,9.35,0,0,1,3.1,2.08,9,9,0,0,1,2.08,3.1,9.91,9.91,0,0,1,.68,3.66V63.68a9.84,9.84,0,0,1-.73,3.6,9,9,0,0,1-2,3l-.06.06a9.11,9.11,0,0,1-3,2.08,8.78,8.78,0,0,1-3.66.74h-6.14a1.54,1.54,0,0,1-.11.46c-.34,1.07-.68,2.14-1.07,3.15s-.85,2.08-1.3,3a3.8,3.8,0,0,0-.22.45l5.07,5.13a8.71,8.71,0,0,1,2.14,3,9.92,9.92,0,0,1,.73,3.67,9.2,9.2,0,0,1-.73,3.66,10.25,10.25,0,0,1-2.09,3h0l-8.62,8.56a9.8,9.8,0,0,1-3.1,2.09,9.17,9.17,0,0,1-3.66.73,9.34,9.34,0,0,1-3.66-.73,8.81,8.81,0,0,1-3.1-2.09L82.6,103l-.33.17c-.91.51-1.92,1-3,1.47s-2,.9-3,1.29l-.57.23v7.21A9.84,9.84,0,0,1,75,117a9.23,9.23,0,0,1-2.09,3.1,10,10,0,0,1-3.09,2.08,10.13,10.13,0,0,1-3.67.68H56.28a10,10,0,0,1-3.66-.68,9.89,9.89,0,0,1-3.1-2.08,9.38,9.38,0,0,1-2.09-3.1,9.84,9.84,0,0,1-.67-3.66v-7.21l-.57-.23c-1-.39-2-.84-3-1.29s-2.08-1-3-1.47l-.34-.17-4.4,4.34a8.86,8.86,0,0,1-3.09,2.09,9.42,9.42,0,0,1-3.67.73,9.2,9.2,0,0,1-3.66-.73,9.91,9.91,0,0,1-3.1-2.09l-8.62-8.56h0a10.25,10.25,0,0,1-2.09-3,9.2,9.2,0,0,1-.73-3.66,9.92,9.92,0,0,1,.73-3.67,8.71,8.71,0,0,1,2.14-3l5.07-5.13a2.36,2.36,0,0,0-.22-.45c-.45-1-.85-2-1.3-3s-.73-2.08-1.07-3.15a1.54,1.54,0,0,1-.11-.46H9.52a8.78,8.78,0,0,1-3.66-.74,9.11,9.11,0,0,1-3-2.08l-.06-.06a9,9,0,0,1-2-3A9.86,9.86,0,0,1,0,63.67V51.39a10.11,10.11,0,0,1,.68-3.66,9,9,0,0,1,2.08-3.1,9.35,9.35,0,0,1,3.1-2.08,9.84,9.84,0,0,1,3.66-.68h7.21c.06-.16.17-.39.23-.56.39-1,.84-2,1.29-3,.38-.81.73-1.58,1.1-2.3ZM56.56,53.44c8,3.86,9,2.6,10.77.44a16.75,16.75,0,0,1,7.48-5.78,27.19,27.19,0,0,1,6.36-1.64h0c1.31-.18,2.61-.29,3.91-.34a24,24,0,0,0-2.1-3.7,23.67,23.67,0,0,0-11-9.06,1.84,1.84,0,0,1-1.3-1.76V14.21a1.83,1.83,0,0,1,1.83-1.83H74.9a1,1,0,0,0,.62-.22l.06-.06a1,1,0,0,0,.29-.68V5.25a1,1,0,0,0-.28-.68h0a1,1,0,0,0-.68-.27H51.22a1,1,0,0,0-.68.27h0a.92.92,0,0,0-.28.68v6.16a.94.94,0,0,0,.29.68h0a1,1,0,0,0,.68.27h1.83a1.83,1.83,0,0,1,1.83,1.83V31.42h0a1.82,1.82,0,0,1-1.2,1.71,23.81,23.81,0,0,0-11.42,9.09,24.54,24.54,0,0,0-4.31,11.42c5.16-1.17,14-2.42,18.62-.2ZM84.38,54.5a3.19,3.19,0,0,0-4.5,0A3.19,3.19,0,0,0,79,56.75a3.18,3.18,0,1,0,6.36,0,3.21,3.21,0,0,0-.94-2.25Zm-38,7.61a3.76,3.76,0,1,1-3.76,3.76,3.76,3.76,0,0,1,3.76-3.76Zm14.8,9.1a5,5,0,0,1,3.54,1.47,5,5,0,0,1,0,7.08,5,5,0,0,1-3.54,1.47,5,5,0,0,1-3.55-8.55,5,5,0,0,1,3.55-1.47Zm15-5a3.93,3.93,0,1,1-2.79,1.15,3.94,3.94,0,0,1,2.79-1.15ZM51,0H75.3a4.94,4.94,0,0,1,3.47,1.44h0a4.93,4.93,0,0,1,1.43,3.46v7.45a4.92,4.92,0,0,1-1.44,3.48l-.14.12a4.9,4.9,0,0,1-3.34,1.32h-.56v13A30.48,30.48,0,0,1,87.57,41,30.23,30.23,0,1,1,51,30.11V17.29h0a4.91,4.91,0,0,1-3.48-1.45h0a4.92,4.92,0,0,1-1.44-3.48V4.92a4.92,4.92,0,0,1,1.44-3.47h0A4.92,4.92,0,0,1,51,0Z"/></svg>
    <h4 class="modal-title"
        id="modal-basic-title">{{ testDetails?.nom }}</h4>
    <div class="grid ms-2">
      <input type="checkbox"
             id="validate"
             value="validate"
             class="grid-checkbox-1st"
             (click)="openVerticallyCentered(confirmValide, testDetails)"
             *ngIf="!bugSignaled"/>
      <i class="fa-solid fa-square-check grid-checkbox-1st"></i>
      <i class="fa-solid fa-square-check grid-checkbox-1st valide"
         *ngIf="!obsolete(testDetails) && !bugSignaled"></i>
      <input type="checkbox"
             id="bug"
             value="bug"
             class="grid-checkbox-2nd"
             (click)="showFormDiv()"
             *ngIf="!bugSignaled && obsolete(testDetails)"/>
      <i class="fa-solid fa-circle-xmark grid-checkbox-2nd"
         *ngIf="!showForm && !bugSignaled"></i>
      <i class="fa-solid fa-circle-xmark grid-checkbox-2nd invalide"
         *ngIf="showForm || bugSignaled"></i>
    </div>
    <button  type="button"
             class="btn-close"
             aria-label="Close"
             (click)="modal.dismiss('Cross click');"></button>
  </div>

  <div class="modal-body">
    <form #signaleBugForm="ngForm" >
      <table class="bugs-table w-100">
        <caption class="ms-1">Détails du Bug</caption>
        <tr class="d-flex flex-column">
          <th scope="col">RESULTAT ATTENDU</th>
          <td class="ps-1">{{ testDetails?.resultatAttendu }}</td>
        </tr>
        <tr class="d-flex flex-column">
          <th scope="col">SCENARIO</th>
          <td class="ps-1">{{ testDetails?.scenario }}</td>
        </tr>
        <tr *ngIf="showForm" class="d-flex flex-column">
          <th scope="col">COMMENTAIRE</th>
          <td class="ps-1">
            <div class="form-control">
               <textarea name="commentaire"
                         id="commentaire"
                         class="w-100"
                         ngModel></textarea>
            </div>
          </td>
        </tr>
        <tr *ngIf="showForm" class="d-flex flex-column">
          <th scope="col">TYPE D'ERREUR</th>
          <td class="ps-1">
            <div class="form-control">
              <select name="typeErreur" id="typeErreur" class="w-100 form-control" ngModel>
                <option value="">Choisissez un type d'erreur</option>
                <option *ngFor="let typeErreur of typeErreurs"
                        [ngValue]="typeErreur">{{ typeErreur.nom }}</option>
              </select>
            </div>
          </td>
        </tr>
      </table>
    </form>
    <div class="mt-0 mb-2" *ngIf="showForm">
      <button class="btn btn-primary w-100"
              (click)="signalerBug(signaleBugForm.value, testDetails)"
              data-dismiss="modal"
              *ngIf="!bugSignaled && obsolete(testDetails)">Enregistrer</button>
    </div>
  </div>
</ng-template>



<!-- popup -->
<ng-template #testDetailsModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="testDetailsModal">#{{ testDetails.id }} {{ testDetails?.nom }}</h4>
    <button  type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click');"></button>
  </div>
  <div class="modal-body">
    <div class="ps-5 pe-5">
      <table class="bugs-table w-100">
        <caption class="ms-1">Détails du Bug</caption>
        <tr>
          <th scope="col">ID</th>
          <td>{{ testDetails?.id }}</td>
        </tr>
        <tr>
          <th scope="col">DETAILS</th>
          <td>{{ testDetails?.details }}</td>
        </tr>
        <tr>
          <th scope="col">SCENARIO</th>
          <td>{{ testDetails?.scenario }}</td>
        </tr>
        <tr>
          <th scope="col">RESULTAT ATTENDU</th>
          <td>{{ testDetails?.resultatAttendu }}</td>
        </tr>
        <tr>
          <th scope="col">PROJET</th>
          <td>{{ projet.nom }}</td>
        </tr>
        <tr>
          <th scope="col">GROUPE FONCTIONNALITE</th>
          <td>{{ getGroupeFonctionnalite(testDetails?.groupe_fonctionnalites_groupe_id)?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">FONCTIONNALITE</th>
          <td>{{ testDetails?.nom }}</td>
        </tr>
      </table>
    </div>
  </div>
</ng-template>


<!-- popup -->
<ng-template #confirmValide let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="confirmValide">#{{ testDetails.id }} {{ testDetails?.nom }}</h4>
    <button  type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click');"></button>
  </div>
  <div class="modal-body">
    Vous êtes sur le point de valider le test de la fonctionnalté " {{ testDetails.id }} {{ testDetails?.nom }}". Souhaitez-vous continuer ?
    <br/><br/>
    <div class="mt-0 mb-2" >
      <button class="btn btn-primary w-100"
              (click)="validateTest($event, testDetails)"
              data-dismiss="modal">Valider le test</button>
    </div>
  </div>
</ng-template>
